Page MenuHomePhabricator

[QuantOps] Add the quant region definition
ClosedPublic

Authored by liufengdb on Mar 10 2020, 10:24 PM.

Details

Summary

This regional op in the QuantOps dialect will be used to wrap
high-precision ops into atomic units for quantization. All the values
used by the internal ops are captured explicitly by the op inputs. The
quantization parameters of the inputs and outputs are stored in the
attributes.

Diff Detail

Event Timeline

liufengdb created this revision.Mar 10 2020, 10:24 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 10 2020, 10:24 PM
stellaraccident accepted this revision.Mar 12 2020, 1:40 PM

Are you able to commit, or do you need me to do it?

This revision is now accepted and ready to land.Mar 12 2020, 1:40 PM
rriddle added inline comments.Mar 12 2020, 2:11 PM
mlir/lib/Dialect/QuantOps/IR/QuantOps.cpp
49

nit: Remove all trivial braces.

52

nit: Use // for comments when inside of functions.

liufengdb updated this revision to Diff 250625.Mar 16 2020, 1:52 PM

fix comments

liufengdb marked 2 inline comments as done.Mar 16 2020, 1:53 PM
This revision was automatically updated to reflect the committed changes.